﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 Cal Steps RS-232 /9500+5Hd
DATE:                  2014-03-05 08:55:26
AUTHOR:                Fluke
REVISION:              $Revision: 7421 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       326
CONFIGURATION:         Datron 9500 (C5,S6,B)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
CONFIGURATION:         Datron 9510 on channel 5
=============================================================================
#
#  Procedure Author:
#        DAC, VY, GMO
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024
#
#  Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#       BNC T adapter (f-f-f), 1 set
#       BNC T adapter (f-m-f), 2 sets
#       50 Ohm BNC(m)-(m) cable, 10 inch long, 4 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  DISP         ******************************************************
  1.001  DISP         [32]                 ATTENTION
  1.001  DISP         The connection for every calibration step is critical
  1.001  DISP         A wrong connection or signal may result in a failed
  1.001  DISP         calibration. If the calibration fails, you must
  1.001  DISP         start the entire calibration procedure again.
  1.001  DISP         ******************************************************

  1.002  HEAD         CALIBRATION START
# This TARGET is here so "Repeat" will perform a new calibration.
  1.003  TARGET
  1.004  PORT         CAL:FACTORY

  1.005  DISP         Connect the 9500 to the UUT as follows:
  1.005  DISP
  1.005  DISP         [32] ACTIVE HEAD on CH 1 to UUT CH 1
  1.005  DISP         [32] ACTIVE HEAD on CH 2 to UUT CH 2
  1.005  DISP         [32] ACTIVE HEAD on CH 3 to UUT CH 3
  1.005  DISP         [32] ACTIVE HEAD on CH 4 to UUT CH 4
  1.005  DISP         [32] ACTIVE HEAD on CH 5 to UUT EXT TRIG

# Specify the step number
  1.006  MATH         StepNo = 1

  1.007  M9500                       CH1234

  1.008  DO

  1.009  IF           StepNo < 31
  1.010  MATH         HeadStr = "CH 1" & " to " & "CH " & @NumChan
  1.011  MATH         HeadStr = HeadStr & " CAL STEP " & StepNo
  1.012  ELSE
  1.013  MATH         HeadStr = "EXT TRIG" & " CAL STEP " & StepNo
  1.014  ENDIF

  1.015  HEAD         [V HeadStr]

  1.016  IF           StepNo == 1
  1.017  9500         0.0V                                              S

  1.018  ELSEIF       StepNo == 2
  1.019  9500         -20.0V                                            S

  1.020  ELSEIF       StepNo == 3
  1.021  9500         -2.0V                                             S

  1.022  ELSEIF       StepNo == 4
  1.023  9500         -1.6V                                             S

  1.024  ELSEIF       StepNo == 5
  1.025  9500         -1.2V                                             S

  1.026  ELSEIF       StepNo == 6
  1.027  9500         -0.8V                                             S

  1.028  ELSEIF       StepNo == 7
  1.029  9500         -0.4V                                             S

  1.030  ELSEIF       StepNo == 8
  1.031  9500         -0.32V                                            S

  1.032  ELSEIF       StepNo == 9
  1.033  9500         -0.2V                                             S

  1.034  ELSEIF       StepNo == 10
  1.035  9500         -0.16V                                            S

  1.036  ELSEIF       StepNo == 11
  1.037  9500         -0.08V                                            S

  1.038  ELSEIF       StepNo == 12
  1.039  9500         -0.04V                                            S

  1.040  ELSEIF       StepNo == 13
  1.041  9500         -0.03V                                            S

  1.042  ELSEIF       StepNo == 14
  1.043  9500         -0.02V                                            S

  1.044  ELSEIF       StepNo == 15
  1.045  9500         -0.015V                                           S

  1.046  ELSEIF       StepNo == 16
  1.047  9500         0.015V                                            S

  1.048  ELSEIF       StepNo == 17
  1.049  9500         0.02V                                             S

  1.050  ELSEIF       StepNo == 18
  1.051  9500         0.03V                                             S

  1.052  ELSEIF       StepNo == 19
  1.053  9500         0.04V                                             S

  1.054  ELSEIF       StepNo == 20
  1.055  9500         0.08V                                             S

  1.056  ELSEIF       StepNo == 21
  1.057  9500         0.16V                                             S

  1.058  ELSEIF       StepNo == 22
  1.059  9500         0.2V                                              S

  1.060  ELSEIF       StepNo == 23
  1.061  9500         0.32V                                             S

  1.062  ELSEIF       StepNo == 24
  1.063  9500         0.4V                                              S

  1.064  ELSEIF       StepNo == 25
  1.065  9500         0.8V                                              S

  1.066  ELSEIF       StepNo == 26
  1.067  9500         1.2V                                              S

  1.068  ELSEIF       StepNo == 27
  1.069  9500         1.6V                                              S

  1.070  ELSEIF       StepNo == 28
  1.071  9500         2.0V                                              S

  1.072  ELSEIF       StepNo == 29
  1.073  9500         20.0V                                             S

  1.074  ELSEIF       StepNo == 30
  1.075  9500         0.0V                                              S

  1.076  M9500                       CH5

  1.077  ELSEIF       StepNo == 31
  1.078  9500         -25.0V                                            S

  1.079  ELSEIF       StepNo == 32
  1.080  9500         -12.5V                                            S

  1.081  ELSEIF       StepNo == 33
  1.082  9500         -2.5V                                             S

  1.083  ELSEIF       StepNo == 34
  1.084  9500         2.5V                                              S

  1.085  ELSEIF       StepNo == 35
  1.086  9500         12.5V                                             S

  1.087  ELSEIF       StepNo == 36
  1.088  9500         25V                                               S
  1.089  ENDIF

  1.090  WAIT         -t 3 System settling...
  1.091  PORT         CAL:CONTINUE
  1.092  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.093  IF           @Error
  1.094  PORT         CAL:ABO
  1.095  END
  1.096  ENDIF

  1.097  MATH         StepNo = StepNo + 1
  1.098  UNTIL        StepNo > 36 || @Error

  1.099  MATH         Chan = 1

# Loop for every channel
  1.100  DO
  1.101  MATH         ChanEnd = 0
  1.102  MATH         SubNo = 1

# Loop for every sub step in this channel.
  1.103  DO
  1.104  MATH         HeadStr = "CH " & Chan & " CAL STEP " & StepNo
  1.105  HEAD         [V HeadStr]

  1.106  IF           SubNo == 1

  1.107  IF           Chan == 1
  1.108  M9500                       CH1
  1.109  ELSEIF       Chan == 2
  1.110  M9500                       CH2
  1.111  ELSEIF       Chan == 3
  1.112  M9500                       CH3
  1.113  ELSEIF       Chan == 4
  1.114  M9500                       CH4
  1.115  ENDIF

  1.116  9500         5kH                          1Vpp           LS    S

  1.117  ELSEIF       SubNo == 2
  1.118  9500         1MH                          100mVpp        LS    S

  1.119  ELSEIF       SubNo == 3
  1.120  9500         1MH                          1Vpp           LS    S

  1.121  ELSEIF       SubNo == 4
  1.122  9500         50kH                         1.2Vpp         LS    S

  1.123  ELSEIF       SubNo == 5
  1.124  9500         20MH                         1.2Vpp         LS    S

  1.125  ELSEIF       SubNo == 6
  1.126  MATH         MEM = @Bandwidth / 1E+6
  1.127  9500         MH                           30mVpp         LS    S

  1.128  ELSEIF       SubNo == 7
  1.129  MATH         MEM = @Bandwidth / 1E+6
  1.130  9500         MH                           60mVpp         LS    S

  1.131  ELSEIF       SubNo == 8
  1.132  MATH         MEM = @Bandwidth / 1E+6
  1.133  9500         MH                           120mVpp        LS    S

  1.134  ELSEIF       SubNo == 9
  1.135  MATH         MEM = @Bandwidth / 1E+6
  1.136  9500         MH                           300mVpp        LS    S

  1.137  ELSEIF       SubNo == 10
  1.138  MATH         MEM = @Bandwidth / 1E+6
  1.139  9500         MH                           600mVpp        LS    S

  1.140  ELSEIF       SubNo == 11
  1.141  MATH         MEM = @Bandwidth / 1E+6
  1.142  9500         MH                           1.2Vpp         LS    S

  1.143  ELSEIF       SubNo == 12
  1.144  9500         5kH                          2.5Vpp         LS    S

  1.145  ELSEIF       SubNo == 13
  1.146  9500         1MH                          2.5Vpp         LS    S

  1.147  ELSEIF       SubNo == 14
  1.148  9500         50kH                         2.5Vpp         LS    S

  1.149  ELSEIF       SubNo == 15
  1.150  9500         20MH                         2.5Vpp         LS    S

  1.151  ELSEIF       SubNo == 16
  1.152  MATH         MEM = @Bandwidth / 1E+6
  1.153  9500         MH                           2.5Vpp         LS    S

  1.154  ELSEIF       SubNo == 17
  1.155  MATH         MEM = @Bandwidth / 1E+6
  1.156  9500         MH                           5Vpp           LS    S

  1.157  IF           Chan == 2 || Chan == 4
  1.158  MATH         ChanEnd = 1
  1.159  ENDIF

  1.160  ELSEIF       SubNo == 18 && (Chan == 1 || Chan == 3)
  1.161  MATH         MEM = @Bandwidth / 1E+6
  1.162  9500         MH                           1.6Vpp         LS    S

  1.163  ELSEIF       SubNo == 19 && (Chan == 1 || Chan == 3)
  1.164  9500         1kH                          0.5Vpp         ED    S
  1.165  MATH         ChanEnd = 1
  1.166  ENDIF

  1.167  WAIT         -t 5 System Settling ...
  1.168  PORT         CAL:CONTINUE
  1.169  CALL         Sub Tek TPS2000 Check Cal Acknowledge Resp RS-232

  1.170  IF           @Error
  1.171  PORT         CAL:ABO
  1.172  END
  1.173  ENDIF

  1.174  MATH         SubNo = SubNo + 1
  1.175  MATH         StepNo = StepNo + 1
  1.176  UNTIL        ChanEnd

  1.177  MATH         Chan = Chan + 1
  1.178  UNTIL        Chan > @NumChan

  1.179  M9500        *
  1.180  9500         *                                                 S
  1.181  END
